Переполнение буфера в Dovecot CMU Sieve

Дата публикации:
15.09.2009
Дата изменения:
16.11.2009
Всего просмотров:
1233
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
CMU Sieve 1.x (плагин к Dovecot)
Уязвимые версии: CMU Sieve (плагин к Dovecot) версии до 1.0.4 и 1.1.7

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки при обработке Sieve сценариев. Удаленный пользователь может вызвать переполнение буфера. Подробное описание уязвимости:
www.securitylab.ru/vulnerability/384871.php

2. Уязвимость существует из-за различных ошибок проверки границ данных. Удаленный пользователь может с помощью специально сформированного Sieve сценария вызвать переполнение буфера и скомпрометировать целевую систему.

URL производителя: wiki.dovecot.org/LDA/Sieve/CMU

Решение: Установите последнюю версию 1.0.4 или 1.1.7 с сайта производителя.

Ссылки: http://www.dovecot.org/list/dovecot-news/2009-September/000135.html

или введите имя

CAPTCHA